﻿.main-content {
    background-color: #F5F3F3;
    padding: 0;
}

.container.main {
    border-radius: 10px;
    background-color: #FFFFFF;
    display: block;
    min-height: calc(100vh - 240px);
    width: 100%;
    padding: 0;
    margin-bottom: 20px;
}

/* only use at CPD pages */
.container.full {
    background-color: #FFFFFF;
    display: block;
    min-height: calc(100vh - 240px);
    /* margin-left: 5%; */
    margin:0;
    width:100%;
    padding: 1rem 2rem 2rem;
}

.container .row {
    padding: 4px 40px;
}

.red-text {
    color: red;
}

.title {
    font-size: 24px;
    line-height: 24px;
    font-weight: bold;
    margin-bottom: 24px;
    display: flex;
    justify-content: center;
}

/*------------------------------Main Heading and sub heading------------------------------*/
#headerItems {
    padding-bottom: 1%;
}

.editable_item {
    margin-top: 12px;
    margin-left: 4px;
    margin-right: 4px;
}

.heading {
    font-size: 18px;
    font-weight: 600;
    margin: 0;
}

.subHeading {
    font-size: 14px;
    color: #999999;
    margin: 0;
}

.subHeading-2{
    font-size: 12px;
    color: #999999;
    margin-top: -8px;
    margin-bottom: 5px;
}
/*------------------------------Buttons------------------------------*/
.buttons.editable_item {
    display: flex;
    justify-content: end;
    flex-flow: row wrap;
    padding: 0;
    gap: 10px;
}

.buttons .btn {
    font-weight: 500;
    font-size: 16px;
    border-radius: 6px;
    border-color: none;

    border-style: none;
    height: 40px;
    line-height: 40px;
    text-align: center;
    display: inline-flex;
    align-items: center;
    justify-content: center;

}

#cancelButton {
    color: #0287C2;
    text-decoration: underline;
    width: 84px;
    background-color: transparent;
}

#cancelButton:active {
    border-color: none;
    box-shadow: none;
    color: black;
}

#saveButton {
    border: 1px solid black;
    width: 114px;
}

#nextButton {
    background-color: #0287C2;
    color: white;
    width: 84px;
}

#submitButton{
    background-color: #0287C2;
    color: white;
    width: 84px;
}

#generatePdfButton {
    background-color: #0287C2;
    color: white;
    width: auto;
}

#customGeneratePdfButton {
    background-color: #0287C2;
    color: white;
    width: auto;
}

#checkPENameButon {
    background-color: #0287C2;
    color: white;
    width: auto;
    padding: 1px 8px;
}

#checkPENameButon:hover {
    background-color: #0287C2;
    color: black;
}

/*------------------------------Styling for input boxes------------------------------*/
.form-select,
input {
    border-top-style: hidden;
    border-left-style: hidden;
    border-right-style: hidden;
    margin: 0;
    padding: 0;
    color: #333333;
    font-size: 16px;
}

select,
.dateField {
    font-weight: 400;
    font-size: 14px;
    outline: none;
    border-bottom-color: #E1E1E1;
    border-bottom-width: 1px;
    width: 360px;
    height: 24px;
}

.subTitle {
    color: #222222;
    font-size: 16px;
    font-weight: 600;
    padding: 10px 0 5px 0;
    margin: 0;
}

#dob {
    font-family: inter;
    color: #777777;
    font-size: 16px;
    outline: none;
    border-bottom-width: thin;
    scroll-behavior: smooth;
}

.summary-container.main #dob {
    color: inherit;
}

.numWrapper {
    display: flex;
    gap: 5px;
    align-items: flex-end;
}

.countryCode {
    width: 50px;
}
.countryCodeWrapper {
    border-bottom: 1px solid #E1E1E1;
    position: relative;
}
.countryCodeWrapper .countryCodeMasking{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    cursor: pointer;
}
.countryCodeWrapper .countryCodeMasking::after{
    /* add a dropdown triangle at the end */
    content: "";
    position: absolute;
    top: 50%;
    right: 0px;
    width: 0;
    height: 0;
    border: 4px solid transparent;
    border-top-color: black;
    transform: translateY(-50%);

}
.countryCodeWrapper .countryCode {
    opacity: 0;
    z-index: 2;
    position: relative;
}

.divider {
    background-color: #F5F3F3;
    width: 100%;
    padding: 4px 36px;
    font-size: 14px;
    font-weight: 600;
    line-height: 24px;
    margin-top: 16px;
}

.section {
    color: #222222;
    font-size: 14px;
    font-weight: 600;
}

#residentNum,
#officeNum,
#mobileBox {
    /* width: 284px; */
    width: 100%;
    border-radius: 0;
}

.input-group {
    display: flex;
    overflow-x: hidden;
}

.textBox, .numBox {
    border: none;
    border-bottom: 1px solid #E1E1E1;
    padding: 0;
    margin: 0;
    box-shadow: none;
    background-color: transparent;
    height: 24px;
    max-width: 360px;
    color: black;
    font-size: 16px;
}

textarea.textBox {
    display: block;
    overflow: hidden;
    resize: none;
}

.textBox:focus{
    border-color: black;
    box-shadow: none;
    outline: none;
}

.numBox:focus{
    border-color: black;
    box-shadow: none;
    outline: none;
}

.cp_title{
    font-size:16px;
}
.checkBoxLabel {

    display: flex;
    align-items: center;
    gap:5px;
    font-weight: 400;
    font-size:18px;

}

.checkBoxes {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
}

#pc-employer-applicable-check,
#employer-applicable-check,
#residential-check,
#employer-check,
#employer-check-2 {
    width: 20px;
    height: 20px;
    margin: 0;
    border-radius: 4px;
    border: 1px solid #CACACA;
}

#pc-employer-applicable-check{
    margin-top: 5px;
}

input[type='radio'] {
    width: 20px;
    height: 20px;
    margin: 0;
    border-radius: 4px;
    border: 1px solid #CACACA;
}

.radioBtns {
    display: flex;
}

.email-address-title {
    min-width: 284px;
}

/*------------------------------Styling for validation box------------------------------*/

.notify-panel {
    background-color: #EED8DB;
    border: solid 1px #C63646;
    padding: 16px;
    margin: 8px 2%;
    border-radius: 12px;
}

.notify-panel .header {
    margin: 8px 0;
    padding: 0;
    font-size: 16px;
    font-weight: 400;
}

.notify-panel-modal .header {
    margin: 8px 0;
    padding: 0;
    font-size: 16px;
    font-weight: 400;
}

.notify-panel .body .row {
    color: #C63646;
    font-weight: 600;
    margin: 4px 0;
    font-size: 14px;
    padding-left: 8px;
}

.modal-content .info-text {
    font-size: 14px;
    font-style: italic;
}

.input-wrapper {
    max-width: 360px;
}

@media only screen and (max-width: 768px) {
    #page-content {
        background-color: #FFFFFF;
    }

    .textBox {
        max-width: 360px;
    }
}

.area-code-input {
    width: 80px !important;
    text-align: center;
    margin-right: 5px;
    margin-left: 5px;
}

.calendar {
    width: 25px;
    height: auto;
    background-image: url(/Styles/images/icons/Calendar.png);
    background-color: transparent;
    outline: none;
    border: none;
    cursor: pointer;
    padding: 0;
    margin-left: -25px;
}

.dateField {
    border-radius: 0;
    border-bottom-color: #E1E1E1;
    border-bottom-width: 1px;
    color: black;
    caret-color: transparent;
    cursor:default;
}

.dateField:read-only {
    background-color: transparent;
}

#popup-modal{
    z-index: 10000;
    background-color: rgba(0, 0, 0, 0.5);
}

.form-control.boxRemarks{
    border: none;
    border-bottom: 1px solid #E1E1E1;
    max-width: 360px;
}

#remarks,
#correspondence-remarks,
#request-change-correspondence-remarks {
    width: 100%;
    max-width: 100%;
}

.pretag{
    font-family: inherit;
    font-size: inherit;
    text-align: left;
    border: none;
    padding: 0;
    white-space: pre-wrap;
    background-color: transparent;
    word-break: break-word;
    margin: 0px;
}